{
    "log": "sync",
    "createSequenceId": "sync",
    "set_cache": "sync",
    "get_cache": "sync",
    "del_cache": "sync",
	"find_string":"sync",
    "get_selection_text": "sync",
	"get_currenttime": "sync" ,
	"getWWVersion":"sync",
    "get_im_app_key": "sync",
	"application": {
        "copy": "async",
		"open_app_item": "async",
		"set_property": "async",
		"get_file_hash": "async",
		"get_recent_msg": "async",
		"screen_capture": "async"
    },
	"chatmsg": {
        "open_webpage_cmd": "async"
    },
    "hostWindow": {
        "close": "async",
        "BringWnd2Top": "async",
		"minimize": "async",
		"maxmize": "async",
		"restore": "async",
		"hide": "async"
    },
	
    "util": {
        "invoke": "async"
    },
	"platform": {
        "invoke": "async"
    },
    "operation": {
        "invoke": "async"
    },
    "httprequest": {
        "invoke": "async"
    },
	"webpipe": {
        "invoke": "async"
    },
	"comomwebctrl": {
        "invoke": "async"
    },
    "mainpanel": {
        "invoke": "async",
		"weather": {
			"invoke": "async"
		},
		"calendar": {
			"invoke": "async"
		},
	"tradeorder": {
            "invoke": "async"
        }
    },
	"chat": {
        "invoke": "async",
        "message": {
            "invoke": "async"
        },
        "tribemsg": {
            "invoke": "async"
        },
        "tribemanage": {
            "invoke": "async"
        },
        "tribehispage": {
            "invoke": "async"
        },
        "imhispage": {
            "invoke": "async"
        },
        "tribeat": {
            "invoke": "async"
        },
		"file": {
            "invoke": "async"
        },
		"contact": {
            "invoke": "async"
        },
		"recentsession": {
            "invoke": "async"
        },
		"multichat": {
            "invoke": "async"
        },
		"conversation": {
            "invoke": "async"
        },
		"util": {
            "invoke": "async"
        },
		"ad": {
            "invoke": "async"
        },
		"av": {
            "invoke": "async"
        },
		"remote": {
            "invoke": "async"
        },
		"syssubscribe": {
            "invoke": "async"
        },
		"history": {
            "invoke": "async"
        }
    },
	"appcentre":{
		"invoke": "async"
	},
	"login":{
		"invoke": "async"
	},
	"im":{                                        
		"log"               : "sync" ,   
		"createSequenceId"  : "sync" ,   
		"set_cache"         : "sync" ,   
		"get_cache"         : "sync" ,   
		"del_cache"         : "sync" ,   
		"find_string"       : "sync" ,   
		"get_selection_text": "sync" ,   
		"get_currenttime"   : "sync" ,
		"get_im_app_key"    : "sync" ,
		"event_notify"      : "async",   
		"event_register"    : "async",   
		"event_unregister"  : "async",    
		"rebuild_imbridge"  : "async", 
			"singlemsg": {                     
			"invoke"        : "async"    
		},                                   
			"tribemsg": {                      
			"invoke"        : "async"    
		},                                   
			"tribemgr": {                      
			"invoke"        : "async"    
		},                                   
			"contact": {                       
			"invoke"        : "async"    
		},                                   
			"login": {                         
			"invoke"        : "async"    
		},                                   
			"bizutil": {                       
			"invoke"        : "async"    
		},                                   
			"uiutil": {                        
			"invoke"        : "async"    
		} ,                                   
			"conversation": {                        
			"invoke"        : "async"    
		} ,                                   
			"infopanel": {                        
			"invoke"        : "async"    
		} ,                                   
			"remindmgr": {                        
			"invoke"        : "async"    
		}  ,                                   
			"sysnotify": {                        
			"invoke"        : "async"    
		}                 
		
	}                                      
}